org.apache.lucene.search

## Class BaseRangeFieldQueryTestCase.Range

- java.lang.Object
- - org.apache.lucene.search.BaseRangeFieldQueryTestCase.Range

- Enclosing class:
    BaseRangeFieldQueryTestCase

      protected abstract static class BaseRangeFieldQueryTestCase.Range
      extends Object

  base class for range verification

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `BaseRangeFieldQueryTestCase.Range.QueryType` supported query relations

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isMissing`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Range()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `contains(BaseRangeFieldQueryTestCase.Range other)`
    `protected abstract Object` | `getMax(int dim)`
    `protected abstract Object` | `getMin(int dim)`
    `protected abstract boolean` | `isDisjoint(BaseRangeFieldQueryTestCase.Range other)`
    `protected abstract boolean` | `isEqual(BaseRangeFieldQueryTestCase.Range other)`
    `protected abstract boolean` | `isWithin(BaseRangeFieldQueryTestCase.Range other)`
    `protected abstract int` | `numDimensions()`
    `protected BaseRangeFieldQueryTestCase.Range.QueryType` | `relate(BaseRangeFieldQueryTestCase.Range other)`
    `protected abstract void` | `setMax(int dim, Object val)`
    `protected abstract void` | `setMin(int dim, Object val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isMissing

          protected boolean isMissing

  - ### Constructor Detail

    - #### Range

          protected Range()

  - ### Method Detail

    - #### numDimensions

          protected abstract int numDimensions()

    - #### getMin

          protected abstract Object getMin(int dim)

    - #### setMin

          protected abstract void setMin(int dim,
                                         Object val)

    - #### getMax

          protected abstract Object getMax(int dim)

    - #### setMax

          protected abstract void setMax(int dim,
                                         Object val)

    - #### isEqual

          protected abstract boolean isEqual(BaseRangeFieldQueryTestCase.Range other)

    - #### isDisjoint

          protected abstract boolean isDisjoint(BaseRangeFieldQueryTestCase.Range other)

    - #### isWithin

          protected abstract boolean isWithin(BaseRangeFieldQueryTestCase.Range other)

    - #### contains

          protected abstract boolean contains(BaseRangeFieldQueryTestCase.Range other)

    - #### relate

          protected BaseRangeFieldQueryTestCase.Range.QueryType relate(BaseRangeFieldQueryTestCase.Range other)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.